Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516430 - [Ansible Embended] elapsed time mismatch
Summary: [Ansible Embended] elapsed time mismatch
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Allen W
QA Contact: Dave Johnson
URL:
Whiteboard: testathon
Depends On:
Blocks: 1525079
TreeView+ depends on / blocked
 
Reported: 2017-11-22 15:39 UTC by Cyril Coupel
Modified: 2018-06-21 21:00 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1525079 (view as bug list)
Environment:
Last Closed: 2018-06-21 21:00:47 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
Service UI (deleted)
2017-11-22 15:39 UTC, Cyril Coupel
no flags Details
OPS UI (deleted)
2017-11-22 15:40 UTC, Cyril Coupel
no flags Details

Description Cyril Coupel 2017-11-22 15:39:40 UTC
Created attachment 1357628 [details]
Service UI

Description of problem:
Elapsed time visible via OPS UI and Service UI do not match.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Cyril Coupel 2017-11-22 15:40:09 UTC
Created attachment 1357629 [details]
OPS UI

Comment 3 Chris Kacerguis 2017-11-24 13:59:29 UTC
Hello,

Could you please provide an appliance we can view this on?

Comment 4 Chris Kacerguis 2017-11-25 19:09:56 UTC
Also, while researching this the status is a ??  however the aPI is returning a successful status

   "href": "https://10.9.62.110/api/services/26/orchestration_stacks/2093",
            "id": "2093",
            "name": "Create new EC2 instances",
            "resource_category": "job_play",
            "resource_status": "successful",
            "stack_id": "1057",
            "ems_ref": "2066",
            "start_time": "2017-11-20T23:33:36Z",
            "finish_time": "2017-11-20T23:37:57Z"
        },

also, time is not calculated correctly.

Comment 5 Allen W 2017-12-07 18:37:36 UTC
verified, fix inc,

Comment 6 Allen W 2017-12-07 19:00:15 UTC
@Cyril you're attention to detail is fantastic, THANK YOUUUUUUUUU, this was a good catch

https://github.com/ManageIQ/manageiq-ui-service/pull/1326/files

will move to post soon as that makes it in

Comment 7 Allen W 2017-12-12 13:57:07 UTC
and we're in!


Note You need to log in before you can comment on or make changes to this bug.